CVE-2021-32724

Beschreibung:
check-spelling is a github action which provides CI spell checking. In affected versions and for a repository with the [check-spelling action](https://github.com/marketplace/actions/check-spelling) enabled that triggers on `pull_request_target` (or `schedule`), an attacker can send a crafted Pull Request that causes a `GITHUB_TOKEN` to be exposed. With the `GITHUB_TOKEN`, it’s possible to push commits to the repository bypassing standard approval processes. Commits to the repository could then steal any/all secrets available to the repository. As a workaround users may can either: [Disable the workflow](https://docs.github.com/en/actions/managing-workflow-runs/disabling-and-enabling-a-workflow) until you’ve fixed all branches or Set repository to [Allow specific actions](https://docs.github.com/en/github/administering-a-repository/managing-repository-settings/disabling-or-limiting-github-actions-for-a-repository#allowing-specific-actions-to-run). check-spelling isn’t a verified creator and it certainly won’t be anytime soon. You could then explicitly add other actions that your repository uses. Set repository [Workflow permissions](https://docs.github.com/en/github/administering-a-repository/managing-repository-settings/disabling-or-limiting-github-actions-for-a-repository#setting-the-permissions-of-the-github_token-for-your-repository) to `Read repository contents permission`. Workflows using `check-spelling/check-spelling@main` will get the fix automatically. Workflows using a pinned sha or tagged version will need to change the affected workflows for all repository branches to the latest version. Users can verify who and which Pull Requests have been running the action by looking up the spelling.yml action in the Actions tab of their repositories, e.g., https://github.com/check-spelling/check-spelling/actions/workflows/spelling.yml – you can filter PRs by adding ?query=event%3Apull_request_target, e.g., https://github.com/check-spelling/check-spelling/actions/workflows/spelling.yml?query=event%3Apull_request_target.

CWE: CWE-532

CVSS-Bewertung
CVSS 2: LOW – 3.5 (Version: 2.0)
CVSS 3: CRITICAL – 9.9 (Version: 3.1)

Links:

NVD – CVE-2021-32724
CVE – CVE-2021-32724

Link (max. 20) Quelle Tags
https://github.com/check-spelling/check-spelling/security/advisories/GHSA-g86g-chm8-7r2p CONFIRM Exploit Issue Tracking Third Party Advisory
https://github.com/check-spelling/check-spelling/commit/436362fc6b588d9d561cbdb575260ca593c8dc56 MISC Exploit Third Party Advisory Third Party Advisory
https://github.com/pomerium/pomerium/security/advisories/GHSA-gjcg-vrxg-xmgv CONFIRM

Quelle: NVD – CVE-2021-32724
Datum Veröffentlichung: 2021-09-09T21:15Z, Datum letzte Änderung: 2021-09-10T12:44Z